Bug 8316 - Зависимости на /usr/lib/mozilla/rebuild-databases.sh
: Зависимости на /usr/lib/mozilla/rebuild-databases.sh
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mozilla)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-10-23 02:08 by
Modified: 2006-08-29 15:59 (History)


Attachments
Proposed spec patch (1.42 KB, patch)
2005-11-20 22:10, Damir Shayhutdinov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-10-23 02:08:56
Пакет не удается установить на платформе x86_64 из за автоматической
зависимости
на /usr/lib/mozilla/rebuild-databases.sh 

$ sudo apt-get install mozilla
Чтение списков пакетов...
Построение дерева зависимостей...
Некоторые пакеты установить невозможно. Это может означать, что Вы
потребовали невозможного, либо пользуетесь нестабильным репозиторием.
Часть необходимых пакетов либо ещё не создана, либо была удалена
из каталога 'Входящие'.

Так как для выполнения Вашего запроса достаточно одной операции, то
скорее всего этот пакет просто невозможно установить. Сообщите, пожалуйста,
об этом как о найденной ошибке в пакете.
Эти сведения могут помочь найти выход из ситуации:

Следующие пакеты имеют неудовлетворенные зависимости:
  mozilla: Требует: /usr/lib/mozilla/rebuild-databases.sh но пакет не может
быть
установлен
E: Извините, `битые' пакеты



$ rpm -qp --requires
~/Sisyphus/x86_64/RPMS.classic/mozilla-1.7.12-alt2.1.x86_64.rpm | grep rebuild
/usr/lib/mozilla/rebuild-databases.sh  

$ rpm -qlp ~/Sisyphus/x86_64/RPMS.classic/mozilla-1.7.12-alt2.1.x86_64.rpm |
grep rebuild
/usr/lib64/mozilla/rebuild-databases.sh
------- Comment #1 From 2005-10-23 15:43:48 -------
fixed in 1.7.12-alt3
------- Comment #2 From 2005-11-19 01:14:01 -------
Баг не исправлен и наблюдается в версии 1.7.12-alt3
------- Comment #3 From 2005-11-20 22:10:31 -------
Created an attachment (id=1259) [details]
Proposed spec patch 

rebuild-databases.sh вызывается из некоторых мест, и к тому же сам внутри
содержит пути с /usr/lib.
Вот патч с которым мозилла собралась и нормально установилась. Проверял работу
браузера и почты - работают, только в браузере меню по умолчанию не видно, но
если два раза нажать F11 - становится видно.
------- Comment #4 From 2005-11-21 13:04:37 -------
Хорошо, сегодня соберу alt4 и проверю на ia32... До конца недели надеюсь
обзавестись собственной машиной на AMD64 - тогда смогу осмысленно тестировать
обе платформы...
------- Comment #5 From 2005-12-21 11:22:32 -------
*** Bug 8636 has been marked as a duplicate of this bug. ***
------- Comment #6 From 2005-12-22 00:57:49 -------
Fixed in 1.7.12-alt3.2.
------- Comment #7 From 2005-12-23 19:37:25 -------
(In reply to comment #6)
> Fixed in 1.7.12-alt3.2.

Совсем не fixed:

[thresh@exchange SPECS]$ sudo apt-get install mozilla-devel
Reading Package Lists... Done
Building Dependency Tree... Done
The following extra packages will be installed:
  mozilla mozilla-plugins-common
The following NEW packages will be installed:
  mozilla mozilla-devel mozilla-plugins-common
0 upgraded, 3 newly installed, 0 removed and 4 not upgraded.
Need to get 0B/14.8MB of archives.
After unpacking 55.7MB of additional disk space will be used.
Do you want to continue? [Y/n] 
Committing changes...
Preparing...
##########################################################################
[100%] 1: mozilla-plugins-common
##########################################################################
[ 33%] 2: mozilla
##########################################################################
[ 66%] error: execution of %post scriptlet from mozilla-1.7.12-alt3.2
failed, exit status 1 3: mozilla-devel
##########################################################################
[100%] W: Some errors occurred while running transaction
[thresh@exchange SPECS]$ uname -m; cat /etc/altlinux-release 
x86_64
ALT Linux Sisyphus (20051127)

Сизиф "сегодняшний".

Впрочем, оно и понятно:
$ grep lib /usr/lib64/mozilla/rebuild-databases.sh

MOZ_DIST_BIN="/usr/lib/$MOZ_APPNAME"
------- Comment #8 From 2006-01-05 02:07:23 -------
Fixed in 1.7.12-alt3.3